# This file is auto generated.
# Remove/modify this header if you want to customize the operation.
query occ_getCartEntry_query($baseSiteId: String!, $cartId: String!, $entryNumber: BigInt!, $fields: String = "DEFAULT", $userId: String!) {
  occ_getCartEntry(
    baseSiteId: $baseSiteId
    cartId: $cartId
    entryNumber: $entryNumber
    fields: $fields
    userId: $userId
  ) {
    ... on occ_OrderEntry {
      basePrice {
        currencyIso
        formattedValue
        maxQuantity
        minQuantity
        priceType
        value
      }
      cancellableQuantity
      cancelledItemsPrice {
        currencyIso
        formattedValue
        maxQuantity
        minQuantity
        priceType
        value
      }
      comments {
        author {
          name
          uid
        }
        creationDate
        fromCustomer
        text
      }
      configurationInfos {
        configurationLabel
        configurationValue
        configuratorType
        status
      }
      deliveryMode {
        code
        deliveryCost {
          currencyIso
          formattedValue
          maxQuantity
          minQuantity
          priceType
          value
        }
        description
        name
      }
      deliveryPointOfService {
        address {
          cellphone
          companyName
          country {
            isocode
            name
          }
          defaultAddress
          district
          email
          firstName
          formattedAddress
          id
          lastName
          line1
          line2
          phone
          postalCode
          region {
            countryIso
            isocode
            isocodeShort
            name
          }
          shippingAddress
          title
          titleCode
          town
          visibleInAddressBook
        }
        description
        displayName
        distanceKm
        features
        formattedDistance
        geoPoint {
          latitude
          longitude
        }
        mapIcon {
          altText
          format
          galleryIndex
          imageType
          url
        }
        name
        openingHours {
          code
          name
          specialDayOpeningList {
            closed
            closingTime {
              formattedHour
              hour
              minute
            }
            comment
            date
            formattedDate
            name
            openingTime {
              formattedHour
              hour
              minute
            }
          }
          weekDayOpeningList {
            closed
            closingTime {
              formattedHour
              hour
              minute
            }
            openingTime {
              formattedHour
              hour
              minute
            }
            weekDay
          }
        }
        pickUpInStoreInstructions
        storeContent
        storeImages {
          altText
          format
          galleryIndex
          imageType
          url
        }
        url
        warehouseCodes
      }
      entryNumber
      product {
        availableForPickup
        averageRating
        baseOptions {
          options {
            code
            priceData {
              currencyIso
              formattedValue
              maxQuantity
              minQuantity
              priceType
              value
            }
            stock {
              isValueRounded
              stockLevel
              stockLevelStatus
            }
            url
            variantOptionQualifiers {
              image {
                altText
                format
                galleryIndex
                imageType
                url
              }
              name
              qualifier
              value
            }
          }
          selected {
            code
            priceData {
              currencyIso
              formattedValue
              maxQuantity
              minQuantity
              priceType
              value
            }
            stock {
              isValueRounded
              stockLevel
              stockLevelStatus
            }
            url
            variantOptionQualifiers {
              image {
                altText
                format
                galleryIndex
                imageType
                url
              }
              name
              qualifier
              value
            }
          }
          variantType
        }
        baseProduct
        categories {
          code
          image {
            altText
            format
            galleryIndex
            imageType
            url
          }
          name
          url
        }
        classifications {
          code
          features {
            code
            comparable
            description
            featureUnit {
              name
              symbol
              unitType
            }
            featureValues {
              value
            }
            name
            range
            type
          }
          name
        }
        code
        configurable
        configuratorType
        description
        firstVariantCode
        firstVariantImage
        futureStocks {
          date
          formattedDate
          stock {
            isValueRounded
            stockLevel
            stockLevelStatus
          }
        }
        images {
          altText
          format
          galleryIndex
          imageType
          url
        }
        manufacturer
        multidimensional
        name
        numberOfReviews
        potentialPromotions {
          code
          couldFireMessages
          description
          enabled
          endDate
          firedMessages
          priority
          productBanner {
            altText
            format
            galleryIndex
            imageType
            url
          }
          promotionGroup
          promotionType
          restrictions {
            description
            restrictionType
          }
          startDate
          title
        }
        price {
          currencyIso
          formattedValue
          maxQuantity
          minQuantity
          priceType
          value
        }
        priceRange {
          maxPrice {
            currencyIso
            formattedValue
            maxQuantity
            minQuantity
            priceType
            value
          }
          minPrice {
            currencyIso
            formattedValue
            maxQuantity
            minQuantity
            priceType
            value
          }
        }
        productReferences {
          description
          preselected
          quantity
          referenceType
        }
        purchasable
        reviews {
          alias
          comment
          date
          headline
          id
          principal {
            active
            approvers {
              active
              currency {
                active
                isocode
                name
                symbol
              }
              customerId
              deactivationDate
              defaultAddress {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              defaultPointOfServiceName
              displayUid
              email
              firstName
              hasOrder
              language {
                active
                isocode
                name
                nativeName
              }
              lastCartId
              lastName
              name
              orgUnit {
                active
                addresses {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                approvalProcess {
                  code
                  name
                }
                costCenters {
                  active
                  activeFlag
                  code
                  currency {
                    active
                    isocode
                    name
                    symbol
                  }
                  name
                  originalCode
                }
                name
                parentOrgUnit {
                  active
                  addresses {
                    cellphone
                    companyName
                    country {
                      isocode
                      name
                    }
                    defaultAddress
                    district
                    email
                    firstName
                    formattedAddress
                    id
                    lastName
                    line1
                    line2
                    phone
                    postalCode
                    region {
                      countryIso
                      isocode
                      isocodeShort
                      name
                    }
                    shippingAddress
                    title
                    titleCode
                    town
                    visibleInAddressBook
                  }
                  approvalProcess {
                    code
                    name
                  }
                  costCenters {
                    active
                    activeFlag
                    code
                    currency {
                      active
                      isocode
                      name
                      symbol
                    }
                    name
                    originalCode
                  }
                  name
                  uid
                }
                uid
              }
              roles
              selected
              title
              titleCode
              uid
              userAvatar {
                format
                url
              }
            }
            currency {
              active
              isocode
              name
              symbol
            }
            customerId
            deactivationDate
            defaultAddress {
              cellphone
              companyName
              country {
                isocode
                name
              }
              defaultAddress
              district
              email
              firstName
              formattedAddress
              id
              lastName
              line1
              line2
              phone
              postalCode
              region {
                countryIso
                isocode
                isocodeShort
                name
              }
              shippingAddress
              title
              titleCode
              town
              visibleInAddressBook
            }
            defaultPointOfServiceName
            displayUid
            email
            firstName
            hasOrder
            language {
              active
              isocode
              name
              nativeName
            }
            lastCartId
            lastName
            name
            orgUnit {
              active
              addresses {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              approvalProcess {
                code
                name
              }
              costCenters {
                active
                activeFlag
                code
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                name
                originalCode
              }
              name
              parentOrgUnit {
                active
                addresses {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                approvalProcess {
                  code
                  name
                }
                costCenters {
                  active
                  activeFlag
                  code
                  currency {
                    active
                    isocode
                    name
                    symbol
                  }
                  name
                  originalCode
                }
                name
                uid
              }
              uid
            }
            roles
            selected
            title
            titleCode
            uid
            userAvatar {
              format
              url
            }
          }
          rating
        }
        stock {
          isValueRounded
          stockLevel
          stockLevelStatus
        }
        summary
        tags
        url
        variantMatrix {
          elements {
            isLeaf
            parentVariantCategory {
              hasImage
              name
              priority
            }
            variantOption {
              code
              priceData {
                currencyIso
                formattedValue
                maxQuantity
                minQuantity
                priceType
                value
              }
              stock {
                isValueRounded
                stockLevel
                stockLevelStatus
              }
              url
              variantOptionQualifiers {
                image {
                  altText
                  format
                  galleryIndex
                  imageType
                  url
                }
                name
                qualifier
                value
              }
            }
            variantValueCategory {
              name
              sequence
              superCategories {
                hasImage
                name
                priority
              }
            }
          }
          isLeaf
          parentVariantCategory {
            hasImage
            name
            priority
          }
          variantOption {
            code
            priceData {
              currencyIso
              formattedValue
              maxQuantity
              minQuantity
              priceType
              value
            }
            stock {
              isValueRounded
              stockLevel
              stockLevelStatus
            }
            url
            variantOptionQualifiers {
              image {
                altText
                format
                galleryIndex
                imageType
                url
              }
              name
              qualifier
              value
            }
          }
          variantValueCategory {
            name
            sequence
            superCategories {
              hasImage
              name
              priority
            }
          }
        }
        variantOptions {
          code
          priceData {
            currencyIso
            formattedValue
            maxQuantity
            minQuantity
            priceType
            value
          }
          stock {
            isValueRounded
            stockLevel
            stockLevelStatus
          }
          url
          variantOptionQualifiers {
            image {
              altText
              format
              galleryIndex
              imageType
              url
            }
            name
            qualifier
            value
          }
        }
        variantType
        volumePrices {
          currencyIso
          formattedValue
          maxQuantity
          minQuantity
          priceType
          value
        }
        volumePricesFlag
      }
      quantity
      quantityAllocated
      quantityCancelled
      quantityPending
      quantityReturned
      quantityShipped
      quantityUnallocated
      returnableQuantity
      returnedItemsPrice {
        currencyIso
        formattedValue
        maxQuantity
        minQuantity
        priceType
        value
      }
      statusSummaryList {
        numberOfIssues
        status
      }
      totalPrice {
        currencyIso
        formattedValue
        maxQuantity
        minQuantity
        priceType
        value
      }
      updateable
      url
    }
    ... on occ_errorList {
      errors {
        errorCode
        exceptionMessage
        language
        message
        position
        reason
        subject
        subjectType
        type
      }
    }
  }
}